%global         pkgname django-kombu
%global         obs_ver 0.9.4-1
%global srcname djkombu
Name:           python-django-kombu
Version:        0.9.4
Release:        5%{?dist}
Summary:        Kombu transport using the Django database as a message store
Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/%{pkgname}
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-setuptools 
BuildRequires:  python2-devel
Requires:       python-django 
Requires:       python-kombu

Provides:               %{pkgname} = %{version}-%{release}
Obsoletes:              %{pkgname} < %{obs_ver}


%description
Django application that enables you to use the Django database as the 
message store for Kombu. Kombu is an AMQP messaging framework for Python.  
AMQP is the Advanced Message Queuing Protocol, an open standard protocol for
message orientation, queuing, routing, reliability and security.

%prep
%setup -q -n %{pkgname}-%{version}
%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files 
%doc LICENSE README AUTHORS THANKS TODO Changelog
%{python_sitelib}/%{srcname}/
%{python_sitelib}/*.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 03 2012 Matthias Runge <mrunge@matthias-runge.de> - 0.9.4-1
- update to 0.9.4
- package renamed to python-django-kombu

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jul 16 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.2-1
- New upstream release
- Drop defattr

* Thu Apr 14 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.9.0-1
- initial spec
